Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPLiteralDataGenerator

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPLiteralDataGenerator

All Implemented Interfaces:
  CompressionAlgorithmTags, PacketTags

public class PGPLiteralDataGenerator
extends java.lang.Object
implements CompressionAlgorithmTags, PacketTags

Class for producing literal data packets.

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.CompressionAlgorithmTags
`UNCOMPRESSED, ZIP, ZLIB`

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPIRIMENTAL_1, EXPIRIMENTAL_2, EXPIRIMENTAL_3, EXPIRIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`PGPLiteralDataGenerator()`

Method Summary
`void` | `close()` Close the literal data packet.
`java.io.OutputStream` | `open(java.io.OutputStream out, char format, java.io.File file)` Open a literal data packet for the passed in File object, returning an output stream for saving the file contents.
`java.io.OutputStream` | `open(java.io.OutputStream out, char format, java.lang.String name, long length, java.util.Date modificationTime)` Open a literal data packet, returning a stream to store the data inside the packet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPLiteralDataGenerator

    public PGPLiteralDataGenerator()

Method Detail

### open

    public java.io.OutputStream open(java.io.OutputStream out,
                                     char format,
                                     java.lang.String name,
                                     long length,
                                     java.util.Date modificationTime)
                              throws java.io.IOException

  Open a literal data packet, returning a stream to store the data inside the packet.

  Parameters:
    `out` - the stream we want the packet in
    `format` - the format we are using
    `name` - the name of the "file"
    `length` - the length of the data we will write
    `modificationTime` - the time of last modification we want stored.
    `java.io.IOException`

### open

    public java.io.OutputStream open(java.io.OutputStream out,
                                     char format,
                                     java.io.File file)
                              throws java.io.IOException

  Open a literal data packet for the passed in File object, returning an output stream for saving the file contents.

  Parameters:
    `out` -
    `format` -
    `file` -
  Returns:
    OutputStream
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Close the literal data packet.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD